Subject: are CR-LDP/LDP/RSVP/IGP/BGP packets labeled?

From: Peter Kwong <[email-masked]>
Date: Mon, 10 Sep 2001 11:06:07 -0700 (PDT)

Eric, 
 Does this mean that for these protocols (LDP/RSVP/OSPF/BGP/CRLDP etc) 
that they are sent as LABELED MPLS packets out of these 
interfaces (I'm using interfaces in a very general way) from 
a frame based router? 
 - point to point plain old vanilla ATM PVC 
 - Packet over Sonet 
 - Ethernet 
 - serial link 
 - frame relay 

If they are LABELED, does one use the special labels (such 
as Router Alert and/or explicit NULL) to tell each hop to 
process these packets? 

If they are LABELED, is this how the following interfaces 
encapsulate them? 
 - plain ATM PVC pt to pt, Ethernet: 
   - LLC/SNAP (AA-AA-AA-00-00-00) with Ethertype 0x8847 (assuming unicast), 
followed by MPLS label(s), followed by IP header etc 
 - serial link and POS: 
   - PPP encapsulation with protocol ID = 0x0281 (assuming unicast), 
     followed by MPLS label(s), followed by IP header etc 

For LC-ATM interfaces, these protocols are sent as UNLABELED 
IP packets over the non-MPLS connection (default vpi/vci 0/32), 
encapsulated with LLC/SNAP with Ethertype of 0x0800 (I believe) 

If the above protocols are sent as UNLABELED packets, then 
would the encapsulation be? 
 - plain ATM PVC pt to pt, Ethernet: 
   - LLC/SNAP (AA-AA-AA-00-00-00) with Ethertype 0x0800 (IP packet), 
     followed by IP packet header etc 
 - serial link and POS: 
   - PPP encapsulation with protocol ID = 0x0021 (IP packet), 
     followed by IP packet header etc 

peter 
============================================= 
On Mon, 10 Sep 2001 11:04:26 -0400, Eric Gray wrote: 

>  Peter, 
> 
>      All of the protocol packets you mention are carried using IP, with 
>  the exception of IS-IS (implied as an IGP) .  Quoting from RFC 1195 
>  ("Use of OSI IS-IS for Routing in TCP/IP and Dual Environments"): 
> 
>     "IP packets are encapsulated directly over the underlying link layer 
>     service, using the normal method for transmssion of IP packets over 
>     each type of link. Similarly OSI packets are encapsulated directly 
>     over the underlying link layer service, using the normal method for 
>     transmission of OSI packets over each type of link." 
> 
>  Under certain circumstances, MPLS may be used to provide a type of 
>  link - for IP packets at least. 
> 
>  -- 
>  Eric Gray 
> 
>  You wrote: 
> 
>  > I've gone through the RFCs to see if protocol packets, 
>  > such as for CR-LDP/LDP/RSVP/IGP/BGP etc are sent/received 
>  > as labeled packets or not, but seemed to have missed something 
>  > in the RFCs. 
>  > 
>  > Hope someone can tell me if protocol packets (CR-LDP, 
>  > LDP, RSVP, IGP, BGP etc) are labeled or not for the 
>  > following types of interfaces.  Also, how are these 
>  > packets encapsulated for transmission out of these 
>  > interfaces? 
>  >   - ATM interface between 2 frame based routers 
>  >   - LC-ATM interface between 2 frame based routers (RFC3035 
>  >     does not discuss this scenario) 
>  >   - serial link interface between 2 frame based routers 
>  >   - Packet over sonet interface between 2 frame based routers 
>  >   - frame relay interface between 2 frame based routers 
>  > 
>  > I understand that for LC-ATM interface between a frame 
>  > based LSR, such as a router, and an ATM-LSR, the protocol 
>  > packets are sent unlabeled, encapsulated in LLC/SNAP, and 
>  > sent over a non-MPLS connection (default vpi/vci 0/32). 
>  > 
>  > I understand that for Ethernet interface, the Ethertypes 
>  > for MPLS Unicast and MPLS Multicast is used to determine 
>  > that the Ethernet frame contains a LABELED packet. If the Ethertype 
>  > is IP, then one assumes the Ethernet frame contains an 
>  > UNLABELED packet. 
>  > 
>  > peter 
>  > 
>  > _______________________________________________________ 
>  > Send a cool gift with your E-Card 
>  > http://www.bluemountain.com/giftcenter/ 
> 

_______________________________________________________
http://inbox.excite.com